PCAP_FILENO(3PCAP)

NAME
pcap_fileno - get the file descriptor for a live capture

SYNOPSIS
#include <pcap/pcap.h>

int pcap_fileno(pcap_t *p);

DESCRIPTION
pcap_fileno() returns the file descriptor number from which captured packets are read, if a network device was opened with pcap_create() and pcap_activate() or with pcap_open_live(), or -1, if a ``savefile'' was opened with pcap_open_offline().

SEE ALSO
pcap(3PCAP), pcap_create(3PCAP), pcap_activate(3PCAP)